## WebKitDOMBlob

WebKitDOMBlob

## Functions

WebKitDOMBlob * | webkit_dom_blob_slice ()
guint64 | webkit_dom_blob_get_size ()
WebKitDOMBlob * | webkit_dom_blob_webkit_slice ()

## Properties

guint64 | size | Read
gchar * | type | Read

## Types and Values

| WebKitDOMBlob

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMBlob
                ╰── WebKitDOMFile

## Description

## Functions

### webkit_dom_blob_slice ()

    WebKitDOMBlob *
    webkit_dom_blob_slice (WebKitDOMBlob *self,
                           gint64 start,
                           gint64 end,
                           const gchar *contentType);

#### Parameters

self | A WebKitDOMBlob |
start | A gint64 |
end | A gint64 |
contentType | A gchar |

#### Returns

A WebKitDOMBlob.

[transfer none]

### webkit_dom_blob_get_size ()

    guint64
    webkit_dom_blob_get_size (WebKitDOMBlob *self);

#### Parameters

self | A WebKitDOMBlob |

#### Returns

A guint64

### webkit_dom_blob_webkit_slice ()

    WebKitDOMBlob *
    webkit_dom_blob_webkit_slice (WebKitDOMBlob *self,
                                  gint64 start,
                                  gint64 end,
                                  const gchar *content_type);

`webkit_dom_blob_webkit_slice` is deprecated and should not be used in newly-written code.

#### Returns

## Types and Values

### WebKitDOMBlob

    typedef struct _WebKitDOMBlob WebKitDOMBlob;

## Property Details

### The `“size”` property

      “size”                     guint64

read-only guint64 Blob:size.

Flags: Read

Default value: 0

### The `“type”` property

      “type”                     gchar *

read-only gchar* Blob:type.

Flags: Read

Default value: ""